Subject: Re: A possible shepherd bug (it's very minor)

From: [email-masked]
Date: Sat, 12 Jun 2021 23:34:28 +0000

June 12, 2021 5:13 PM, "Leo Prikler" <[email-masked]> wrote:

> Hi,
> 
> Am Samstag, den 12.06.2021, 20:09 +0000 schrieb [email-masked]:
> 
>> June 12, 2021 3:39 PM, "Leo Prikler" <[email-masked]>
>> wrote:
>> 
>> Am Samstag, den 12.06.2021, 09:26 -0400 schrieb Joshua Branson:
>> 
> 
> I'm pretty sure that the actual bug also exists, just not sure whether
> that's on your config or on shepherd. Using TTY1 for graphical stuff
> is also somewhat rare in Guix land, I presume. (Or rather, I can't
> think of it as anything but a container for debug output spam :D)

So...whay tty should I auto login to start my sway session?  tty2?  tty3?

> 
> As for getting this to work only on TTY1, you do get the config object,
> so you can do stuff like
> (if (is-tty1? config) (inherit+autologin config) config)
> Note of course, that is-tty1? is not a procedure that's ready-made, but
> one that you'd need to build from primitives such as record accessors.

Thanks!

> Regards,
> Leo